libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm411_smc_inst Struct Reference
Short Message Service (SMS)

`#include <gsm0411_smc.h>`

## Data Fields
uint64_t | id
int | network
int(* | mn_recv )(struct gsm411_smc_inst *inst, int msg_type, struct msgb *msg)
int(* | mm_send )(struct gsm411_smc_inst *inst, int msg_type, struct msgb *msg, int cp_msg_type)
enum gsm411_cp_state | cp_state
struct osmo_timer_list | cp_timer
struct msgb * | cp_msg
int | cp_rel
int | cp_retx
int | cp_max_retr
int | cp_tc1

## Field Documentation

## ◆ cp_max_retr

int gsm411_smc_inst::cp_max_retr

Referenced by cp_timer_expired(), and gsm411_smc_init().

## ◆ cp_msg

struct msgb* gsm411_smc_inst::cp_msg

Referenced by cp_timer_expired(), gsm411_mmsms_cp_ack(), gsm411_mmsms_cp_error(), gsm411_mmsms_est_cnf(), gsm411_mmsms_rel_ind(), gsm411_mmsms_send_msg(), gsm411_mnsms_abort_req(), gsm411_mnsms_data_req(), gsm411_mnsms_est_req(), gsm411_mnsms_rel_req(), and gsm411_smc_clear().

## ◆ cp_rel

int gsm411_smc_inst::cp_rel

Referenced by gsm411_mmsms_cp_ack(), gsm411_mmsms_cp_data(), gsm411_mnsms_est_req(), and gsm411_mnsms_rel_req().

## ◆ cp_retx

int gsm411_smc_inst::cp_retx

Referenced by cp_timer_expired(), and gsm411_mmsms_send_msg().

## ◆ cp_state

enum gsm411_cp_state gsm411_smc_inst::cp_state

Referenced by gsm411_mmsms_cp_data(), gsm411_mmsms_send_msg(), gsm411_mnsms_rel_req(), gsm411_smc_init(), gsm411_smc_recv(), gsm411_smc_send(), and new_cp_state().

## ◆ cp_tc1

int gsm411_smc_inst::cp_tc1

Referenced by gsm411_mmsms_send_msg(), and gsm411_smc_init().

## ◆ cp_timer

struct osmo_timer_list gsm411_smc_inst::cp_timer

Referenced by gsm411_mmsms_cp_ack(), gsm411_mmsms_send_msg(), and gsm411_smc_clear().

## ◆ id

uint64_t gsm411_smc_inst::id

Referenced by cp_timer_expired(), gsm411_mmsms_cp_ack(), gsm411_mmsms_cp_data(), gsm411_mmsms_cp_error(), gsm411_mmsms_est_cnf(), gsm411_mmsms_rel_ind(), gsm411_mmsms_send_msg(), gsm411_mnsms_data_req(), gsm411_mnsms_est_req(), gsm411_mnsms_rel_req(), gsm411_smc_clear(), gsm411_smc_init(), gsm411_smc_recv(), gsm411_smc_send(), gsm411_tx_cp_error(), and new_cp_state().

## ◆ mm_send

int(* gsm411_smc_inst::mm_send) (struct gsm411_smc_inst *inst, int msg_type, struct msgb *msg, int cp_msg_type)

Referenced by cp_timer_expired(), gsm411_mmsms_cp_ack(), gsm411_mmsms_cp_data(), gsm411_mmsms_cp_error(), gsm411_mmsms_send_msg(), gsm411_mnsms_abort_req(), gsm411_mnsms_est_req(), gsm411_mnsms_rel_req(), gsm411_smc_init(), gsm411_smc_recv(), and gsm411_tx_cp_error().

## ◆ mn_recv

int(* gsm411_smc_inst::mn_recv) (struct gsm411_smc_inst *inst, int msg_type, struct msgb *msg)

Referenced by cp_timer_expired(), gsm411_mmsms_cp_data(), gsm411_mmsms_cp_error(), gsm411_mmsms_rel_ind(), gsm411_smc_init(), and gsm411_smc_recv().

## ◆ network

int gsm411_smc_inst::network

Referenced by gsm411_smc_init().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0411_smc.h